--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: host
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: nick
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: user
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A Netmask identifies each user by collecting its nick, username and hostname in the form <tt>nick!user@host</tt>
- !ruby/struct:SM::Flow::P 
  body: Netmasks can also contain glob patterns in any of their components; in this form they are used to refer to more than a user or to a user appearing under different forms.
- !ruby/struct:SM::Flow::P 
  body: "Example:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>*!*@*</tt> refers to everybody
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>*!someuser@somehost</tt> refers to user <tt>someuser</tt> on host <tt>somehost</tt> regardless of the nick used.
  type: :BULLET
constants: []

full_name: Irc::Netmask
includes: 
- !ruby/object:RI::IncludedModule 
  name: ServerOrCasemap
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: ===
- !ruby/object:RI::MethodSummary 
  name: downcased
- !ruby/object:RI::MethodSummary 
  name: full_downcase
- !ruby/object:RI::MethodSummary 
  name: full_irc_downcase
- !ruby/object:RI::MethodSummary 
  name: fullform
- !ruby/object:RI::MethodSummary 
  name: generalize
- !ruby/object:RI::MethodSummary 
  name: has_irc_glob?
- !ruby/object:RI::MethodSummary 
  name: host=
- !ruby/object:RI::MethodSummary 
  name: ident=
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: matches?
- !ruby/object:RI::MethodSummary 
  name: nick=
- !ruby/object:RI::MethodSummary 
  name: replace
- !ruby/object:RI::MethodSummary 
  name: to_irc_netmask
- !ruby/object:RI::MethodSummary 
  name: to_irc_user
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: to_str
- !ruby/object:RI::MethodSummary 
  name: user=
name: Netmask
superclass: Object
